typestrict.aidocs
APIDatasets

Update a dataset

PATCH
/v1/datasets/{id}

Changes the target column, the goal or the language of the agent's proposal.

Authorization

api_key
headerAuthorizationBearer <token>

An API key from Settings (ts_...).

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
goal?string|null
locale?string|null
target_column?string|null

Response Body

curl -X PATCH "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
Empty